Jump to content


Photo

A fix for "Wrong Api Dll version" crash


  • Please log in to reply
7 replies to this topic

#1 Stalchild

Stalchild

    Member

  • Member
  • PipPip
  • 16 posts

Posted 30 September 2011 - 08:44 PM

Hey guys, I searched the forums but couldn't find a post already addressing this fix for the "wrong api dll version" crash you get when trying to run doom 3 with the wrong patch.

So if it's old news (which assuredly it is) then my bad, destroy my post.

So I patched doom by running the correct patch, the pak files updated, but I still kept getting the wrong api version crash.
I ended up looking at my version through the .exes properties and noticed it was still 1.3.01 (or whatever it was) so I did a quick search and found a working Doom 3 1.3.1 crack, and replaced the exe with it, and it fixed it.

So perhaps now people searching through countless search engines will be able to find this fix..


can anyone tell me why my .exe wasn't updated from the patcher?
"What business have you in Ikana Kingdom, land where only the dead roam? This is no place for one as full of life as you." Sharp

#2 nbohr1more

nbohr1more

    Darkmod PR, Wordsmith

  • Development Role
  • PipPipPipPipPip
  • 9108 posts

Posted 30 September 2011 - 09:11 PM

Which OS?

Vista and Windows 7 have a feature call UAC which is known to interfere with patching executables.

Even in Windows XP if an anti-virus or even Windows Explorer itself somehow thinks that the file is "In use" you will find that no changes can be applied to it.
Please visit TDM's IndieDB site and help promote the mod:

http://www.indiedb.c...ds/the-dark-mod

(Yeah, shameless promotion... but traffic is traffic folks...)

#3 Stalchild

Stalchild

    Member

  • Member
  • PipPip
  • 16 posts

Posted 30 September 2011 - 09:32 PM

Which OS?

Vista and Windows 7 have a feature call UAC which is known to interfere with patching executables.

Even in Windows XP if an anti-virus or even Windows Explorer itself somehow thinks that the file is "In use" you will find that no changes can be applied to it.


Yea Vista but I am Administrator, with UAC turned off, I know being "admin" on vista doesn't mean you get the same permissions as Xp, but I followed http://www.howtogeek...-windows-vista/ and got full admin permissions and whatnot. I also turned off my firewall during patching.. So i don't really see why It wouldn't change the .exe. Luckily I found some since forgotten guide on patching Doom 3 and he explained briefly how the .exe interacts with the .pak files.. or something like that. and I figured either the .pak files where incorrect or the .exe was, and fortunately, it was the .exe since I don't know where I would have found the right .pak files.. or if it even works that way indeed.

Sorry if the post seems rather unnecessary, but I seriously would have appreciated finding this tip out when I first tried running the dark mod about 2 years ago. I almost gave up, but thief 4 has renewed my interest in stealth genres.. and thief in particular.

Edited by Stalchild, 30 September 2011 - 09:32 PM.

"What business have you in Ikana Kingdom, land where only the dead roam? This is no place for one as full of life as you." Sharp

#4 nbohr1more

nbohr1more

    Darkmod PR, Wordsmith

  • Development Role
  • PipPipPipPipPip
  • 9108 posts

Posted 30 September 2011 - 10:00 PM

No need to be defensive. No matter what version of Windows you run and no matter how much care you take to enable permissions (etc), there is always a chance that it will protect files needlessly. I deal with this problem daily when helping server administrators apply Weblogic patches. Lest you feel that is a slight against Windows... I have also had my run-ins with lock files in limbo states in Unix environs... All it takes is for some timing error (etc) and the session thread doesn't tell the OS that it's OK to change or delete a file. I'm glad you fixed your issue. :)
Please visit TDM's IndieDB site and help promote the mod:

http://www.indiedb.c...ds/the-dark-mod

(Yeah, shameless promotion... but traffic is traffic folks...)

#5 deadite4

deadite4

    Member

  • Member
  • PipPip
  • 57 posts

Posted 30 September 2011 - 11:34 PM

and found a working Doom 3 1.3.1 crack


Were you using a cracked .exe prior to updating? That would be your original problem I reckon. Cracks are bad.



#6 Bikerdude

Bikerdude

    Mod hero

  • Member
  • PipPipPipPipPip
  • 20281 posts

Posted 01 October 2011 - 02:32 AM

Were you using a cracked .exe prior to updating? That would be your original problem I reckon. Cracks are bad.

Not neccesarily, but in this instance they are more trouble than they are worth. Doom3 only costs 5/$5 so there is no logical reason to be using a crack.

#7 rich_is_bored

rich_is_bored

    Advanced Member

  • Member
  • PipPipPip
  • 885 posts

Posted 01 October 2011 - 03:16 AM

Didn't the latest update remove the CD check anyway?

#8 deadite4

deadite4

    Member

  • Member
  • PipPip
  • 57 posts

Posted 01 October 2011 - 06:06 AM

Didn't the latest update remove the CD check anyway?





Yep.







0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users